gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A color selector based on hue, saturation, and value. TODO: add an example. Gtk.Widget Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void `` `` Set the basic size of the hue ring. A A
- Method
  System.Void `` `` `` Sets the color displayed in the widget. A , the hue A , the saturation A , the value
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of HSV, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Default constructor.
  A
- Event
  System.EventHandler Fired when the color of this widget changes.
- Event
  Gtk.MoveHandler Fired when this widget is moved.
- Method
  System.Void `` `` `` `` `` `` Converts a HSV value to a RGB (red-green-blue) triplet. a , the hue a , the saturation a , the value a , red component a , blue component a , green component
- Method
  System.Void `` `` `` Gets the current color indicated by this widget. a a a
- Method
  System.Void `` `` Gets the current size of this widget. a to fill with the hue ring size. a to fill with the width of the hue ring.
- Property
  System.Boolean An HSV color selector is "adjusting" if multiple rapid changes are being made to its value, for example, when the user is adjusting the value with the mouse. This property tells whether the HSV color selector is being adjusted or not. a Returns true if clients can ignore changes to the color value, since they may be transitory, or false if they should consider the color value status to be final.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.